Bug 810351 - RuntimeError: Error running mkofboot: No such file or directory
RuntimeError: Error running mkofboot: No such file or directory
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
: 811972 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-04-05 13:03 EDT by Karsten Hopp
Modified: 2013-07-04 09:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-20 11:21:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: anaconda-tb-2Q1z6a (418.06 KB, text/plain)
2012-04-05 13:03 EDT, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2012-04-05 13:03:15 EDT
libreport version: 2.0.8
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-2Q1z6a
hashmarkername: anaconda
kernel:         3.3.0-1.fc17.ppc64
other involved packages: 
product:        Fedora
reason:         RuntimeError: Error running mkofboot: No such file or directory
release:        Cannot get release name.
time:           Do 05 Apr 2012 19:01:56 CEST
version:        17

anaconda-tb-2Q1z6a: Text file, 428097 bytes

:The following was filed automatically by anaconda:
:anaconda 17.18 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 181, in execWithRedirect
:    raise RuntimeError, errstr
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1932, in install
:    root=ROOT_PATH)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1091, in write
:    self.install()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 2344, in writeBootloader
:    anaconda.bootloader.write()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/text.py", line 507, in run
:    self.anaconda.dispatch.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 326, in run
:    self.anaconda.intf.run(self.anaconda)
:  File "/usr/sbin/anaconda", line 852, in <module>
:    anaconda.dispatch.run()
:RuntimeError: Error running mkofboot: No such file or directory

Comment 1 Karsten Hopp 2012-04-05 13:03:22 EDT
Created attachment 575498 [details]
File: anaconda-tb-2Q1z6a
Comment 2 Brian Lane 2012-04-09 13:21:19 EDT
yaboot provides mkofboot, it is a symlink to ybin, are either of those present? The yaboot.spec shows:


Are all of those there?
Comment 3 Brian Lane 2012-04-12 10:31:49 EDT
*** Bug 811972 has been marked as a duplicate of this bug. ***
Comment 4 Karsten Hopp 2012-04-12 11:02:56 EDT
We've switched to grub2 on PPC, so yaboot shouldn't be installed at all. Grub2 works fine on IBM Power systems, it is just on PowerMac where this problem shows up due to the way the firmware works. I'll try to figure out what needs to be chenged in anaconda. It can be done, as I've had reports that even G4 machines can be booted with grub2.
Comment 5 Karsten Hopp 2013-01-20 11:21:50 EST
I haven't seen this issue again for quite a while now, so we can safely assume that this has been fixed

Note You need to log in before you can comment on or make changes to this bug.